Subject: Re: [PATCH net-next v1 2/3] tools/net/ynl: Add support for netlink-raw families

From: Jakub Kicinski <[email-masked]>
Date: Wed, 26 Jul 2023 15:23:28 -0700

On Wed, 26 Jul 2023 23:01:12 +0100 Donald Hunter wrote:
> > and store them in YnlFamily to self.nlproto or self.protocol
> > or some such.  
> 
> Ack. Just a note that I have been wondering about refactoring this
> from "YnlFamily is a Spec" to "Ynl has n Specs" so that we could do
> multi spec notification handling. If we did this, then passing a
> SpecContext around would look more natural maybe.

Ynl with multiple specs is doable from the technical standpoint,
I think the API to expose from such a library may be a bigger challenge.
And I'm not sure if it's worth the complexity in practice.

> > I applied the series on top of Arkadiusz's fixes and this line throws
> > an "as_struct takes 2 arguments, 3 given" exception.  
> 
> Ah, my bad. Looks like I missed a fix for that from the patchset.

FWIW I ended up merging the fixes to net, but they should be in
net-next by tomorrow afternoon.